Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.component
[Java] Interface ModuleComponentIdentifier

    org.gradle.api.artifacts.component.ModuleComponentIdentifier
      org.gradle.api.artifacts.component.ComponentIdentifier

All Superinterfaces:
  ComponentIdentifier

    @Incubating
    public interface ModuleComponentIdentifier
    extends ComponentIdentifier

An identifier for a component instance which is available as a module version.

Since:
  1.10

Method Summary
`String` | `getGroup()` The module group of the component.
`String` | `getModule()` The module name of the component.
`String` | `getVersion()` The module version of the component.

Methods inherited from interface ComponentIdentifier
getDisplayName

Method Detail

### getGroup

    public String getGroup()

  The module group of the component.
  Returns:
    Component group
  Since:
    1.10

### getModule

    public String getModule()

  The module name of the component.
  Returns:
    Component module
  Since:
    1.10

### getVersion

    public String getVersion()

  The module version of the component.
  Returns:
    Component version
  Since:
    1.10

Gradle API 1.10